Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io.impl
Class SyModuleParser

    java.lang.Object
      com.sun.syndication.io.impl.SyModuleParser

All Implemented Interfaces:
  ModuleParser

    public class SyModuleParser

extends Object
implements ModuleParser

Constructor Summary
`SyModuleParser()`

Method Summary
`String` | `getNamespaceUri()` Returns the namespace URI this parser handles.
`Module` | `parse(org.jdom.Element syndRoot)` Parses the XML node (JDOM element) extracting module information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyModuleParser

    public SyModuleParser()

Method Detail

### getNamespaceUri

    public String getNamespaceUri()

  Description copied from interface: `ModuleParser`
  Returns the namespace URI this parser handles.

  Specified by:
    `getNamespaceUri` in interface `ModuleParser`
  Returns:
    the namespace URI.

### parse

    public Module parse(org.jdom.Element syndRoot)

  Description copied from interface: `ModuleParser`
  Parses the XML node (JDOM element) extracting module information.

  Specified by:
    `parse` in interface `ModuleParser`
  Parameters:
    `syndRoot` - the XML node (JDOM element) to extract module information from.
  Returns:
    a module instance, null if the element did not have module information.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.